#{extends 'border.html'/}
<div class="container-fluid">
	
	<div class="row">
		<div class="col-md-2 hidden-mobile">
			#{include 'pl/filter-penawaran.html'/}
		</div>
		
		<div class="col-md-10">
			<h4>&{'daftar_penawaran.label'}</h4>
			#{alert/}
			#{if !model.items.isEmpty()}
				<div class="panel panel-default">
					<div class="panel-body" style="overflow-x:auto;">
						<!-- Data Table -->
						<table class="table table-striped" id="tblPenawaran">
							<thead>
								<tr>
									<th class="header-center">&{'nomor.label'}</th>
									<th class="header-center">&{'judul_usulan.label'}</th>
									<th class="header-center">&{'nama_komoditas.label'}</th>
									<th class="header-center">&{'nama_penyedia.label'}</th>
									<th class="header-center">&{'status.label'}</th>
									<th class="header-center">&{'tanggal_pengajuan.label'}</th>
									<th></th>
								</tr>
							</thead>
							<tbody>
								#{set idx = (paramQuery.page - 1) * paramQuery.per_page /}
								#{list model.items, as:"i"}
									<tr>
										<td class="column-center">${idx = idx + 1}.</td>
										<td class="column-left">${i?.nama_usulan}</td>
										<td class="column-left">${i?.nama_komoditas}</td>
										<td class="column-left">${i?.nama_lengkap}</td>
										<td class="column-center">${i?.getReadableStatus()}</td>
										<td class="column-center">${i?.getReadableCreatedDate()}</td>
										<td class="column-center">
											<div class="dropdown">
												<button class="btn btn-default dropdown-toggle" type="button" id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">&{'aksi.label'}<span class="caret"></span></button>
												#{printBerita i?.getMakeButtonGroups().toString()/}
											</div>
										</td>
									</tr>
								#{/list}
							</tbody>
						</table>
						<!-- End Data Table -->
					</div>
				</div>
				#{pagination model.getPageAble()/}
			#{/if}
			#{else }
				#{ListDefaultMessage type:"Paket"/}
			#{/else}
		</div>
	</div>
	<div class="btn-footer">
		<div class="row">
			<div class="col-xs-12">
				<a href="#" onclick="openFilterPenawaran()">Filter</a>
			</div>
		</div>
	</div>
	<div class="faq" id="mobile-sidebar">
		<div class="mobile-navigation-bar">
			<a href="#" onclick="closeSidebar()">
				<i class="fa fa-arrow-circle-left"></i> &{'penawaran.label'}
			</a>
		</div>
		<div class="container-fluid">
			<div class="row">
				<div class="col-xs-12 col-sm-12">
					#{include 'pl/filter-penawaran.html'/}
				</div>
			</div>
		</div>
	</div>
</div>
#{set 'moreStyles'}
<style type="text/css">
a.disabled {
	color: currentColor;
	cursor: not-allowed;
	opacity: 0.5;
	text-decoration: none;
}
</style>
#{/set}
#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {
		$("#submitBtn").on("click", function () {
			$.showLoading();
			$("#centerTableEmpty").html("&{'tungguproses.label'}")
		});

		$('#keyword').keypress(function(event){
			var keycode = event.keyCode || event.which;
			if(keycode == '13') {
				$('#submitBtn').click();
				return false;
			}
			return;
		});

		// Alert Selesai Negosiasi
		$("body").on("click", "#selesaiNegosiasi", function() {
			return confirm("&{'konfirmasi.selesai.negosiasi'}");
		});
    });
</script>
#{/set}